#
>>>HEAD

> A Vue.js vue-gic-header Plugin


## Install
- 记得需要切换 公司源

  - 换源: npm config set registry http://www.gicdev.com:7001/ 或者使用 nrm 切换

```shell
npm install @gic-test/vue-gic-header -S
```

## how to use

```
// main.js
import vueGicHeader from '@gic-test/vue-gic-header'

Vue.use(vueGicHeader)

// 使用页面

<vue-gic-header :projectName="projectName"  :collapseFlag="collapseFlag" @collapseTag="collapseTag" @toRouterView="toRouterView"></vue-gic-header>

data() {
  return {
    // 可传参数
        projectName: '', // 当前项目名

        collapseFlag: false, // 折叠参数
        // 路由菜单
        // 修改由插件请求
  }
}

methods: {
    // 处理路由跳转
    toRouterView(val) {
      var that = this;
      // 模拟检查数据
      console.log(val);
      //有两个参数
      //{
      //  name:,
      //  path:
      //}
      that.$router.push({
        path: val.path
      })
    },

    // 折叠事件
    collapseTag(val){
      var that = this;
      console.log(val);

    }
},
```

>注意,需要 增加 el-popover 样式

```
.user-header-pop {
  min-width: 95px;
}

.el-popover.user-header-pop {
  min-width: 95px;
}




/* 头部 */
.user-form-dialog .el-dialog__body {
    padding: 0 20px;
}

.user-form-dialog .el-dialog__header {
    padding: 0 20px 10px;
    height: 54px;
}

.pass-form-dialog .el-dialog__body {
    padding: 0 20px;
}
.pass-form-dialog .el-dialog__header {
    padding: 0 20px 10px;
    height: 54px;
}
```
